Skip to main content
Nowledge MemNowledge Mem

Get Bge M3 Status

GET
/models/bge-m3/status

Check the status of the search embedding model.

The embedding model powers hybrid search (combining keyword and semantic matching). The specific model is selected automatically based on your platform for best performance.

Query Parameters

full_verify?Full Verify
Defaultfalse
force_refresh?Force Refresh
Defaultfalse

Response Body

application/json

application/json

curl -X GET "https://example.com/models/bge-m3/status"
{  "available_for_indexing": false,  "backend": "auto",  "embedding_mode": "local",  "embedding_runtime": {    "attempted": 0,    "failed": 0,    "identity": "string",    "last_success_latency_ms": 0,    "succeeded": 0,    "timed_out": 0,    "wait_budget_seconds": 0,    "window_started_at_unix": 0  },  "error": "string",  "exists": true,  "index_metadata_update_needed": false,  "index_metadata_update_reason": "",  "integrity_ok": false,  "last_verified_at": "string",  "message": "string",  "model_name": "search-embedding",  "platform": "unknown",  "projection_repair_needed": false,  "projection_repair_reason": "",  "reindex_needed": false,  "reindex_reason": "",  "remote_model": "string",  "remote_provider": "string",  "singleton_initialized": false,  "size_mb": 500,  "smoke_test_ok": false,  "state": "not_installed",  "verified": false,  "process_runtime": {    "state": "ready",    "mode": "remote",    "model_identity": "string",    "configuration_state": "matches"  }}